### Function

# Qmi MessagePdsGetAgpsConfigInput new

since: 1.12

#### Declaration [src]

    QmiMessagePdsGetAgpsConfigInput*
    qmi_message_pds_get_agps_config_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessagePdsGetAgpsConfigInput`.

Available since: 1.12

#### Return value

Type: `QmiMessagePdsGetAgpsConfigInput`

The newly created `QmiMessagePdsGetAgpsConfigInput`. The returned value should be freed with qmi_message_pds_get_agps_config_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.